#ifndef FIRSTSTARTIMPL_H
#define FIRSTSTARTIMPL_H

#include <qstringlist.h>

#include "firststart.h"

/** The initial config dialog which is displayed
 *  at the first start of a fresh (= no ~/.tipografrc has been found)
 *  installation.
 */
class firststartImpl : public dlgFirstStart
{ 
    Q_OBJECT

public:
    /** Parameters are the list of supported languages the dialog
     *  is to display, and the list of supported GUI styles.
     */
    firststartImpl(QStringList slLanguageTxt,
		   QStringList slGUIStyleTxt,
		   QWidget* parent=0, const char* name=0, bool modal=FALSE, WFlags fl=0);
  ~firststartImpl();
  int getLanguage();
  int getGUIStyle();

public slots:
  void guiStyle();
};

#endif // FIRSTSTARTIMPL_H
