#include <qapplication.h>
#include <qtranslator.h>

#include "tipografImpl.h"
#include "init.h"

#define QT_NO_CAST_ASCII

/** Pointer to application object.
 *  This is used by the tipografImpl object.
 */
QApplication * appTipo   = 0;

/** Pointer to application translator.
 *  This is used by the tipografImpl object.
 */
QTranslator  * transTipo = 0;

/**
   Main.
 */
int main(int argc, char** argv)
{
  // Create application object.
  QApplication app(argc, argv);
  appTipo = &app;

  // Create translator object.
  transTipo = new QTranslator(0);

  // Init translator, then create dialog.
  // init() indicates whether this is the first start, or not.
  tipografImpl ti(init());
  appTipo->setMainWidget(&ti);

  // Start dialog.
  ti.show();
  return(appTipo->exec());
}
